Last Comment Bug 577419 - Yellow tinting on text when using certain values of CSS opacity and ClearType is enabled
: Yellow tinting on text when using certain values of CSS opacity and ClearType...
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Graphics (show other bugs)
: unspecified
: x86 Windows 7
: -- normal (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
: Milan Sreckovic [:milan]
Mentors:
http://files.stardrifter.org/pub/test...
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-07 20:23 PDT by James Abbatiello
Modified: 2011-10-07 16:28 PDT (History)
7 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Testcase (2.29 KB, text/html)
2010-07-07 20:25 PDT, James Abbatiello
no flags Details
Screenshot from Firefox 3.6.6 (20.38 KB, image/png)
2010-07-07 20:25 PDT, James Abbatiello
no flags Details
Screenshot from Firefox 2.0.0.20 (18.24 KB, image/png)
2010-07-07 20:26 PDT, James Abbatiello
no flags Details
Screenshot from Chrome 5.0.375.99 (20.80 KB, image/png)
2010-07-07 20:27 PDT, James Abbatiello
no flags Details
Screenshot from Firefox 4.0b1 (19.71 KB, image/png)
2010-07-07 20:35 PDT, James Abbatiello
no flags Details
Screenshot of opacity test from 363861#c64 (33.59 KB, image/png)
2010-07-13 20:37 PDT, James Abbatiello
no flags Details
closeup of opacity test screenshot (6.31 KB, image/png)
2010-07-13 21:33 PDT, John Daggett (:jtd)
no flags Details
Screenshot of opacity test under test build (30.75 KB, image/png)
2010-07-28 19:19 PDT, James Abbatiello
no flags Details

Description James Abbatiello 2010-07-07 20:23:48 PDT
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 6.1; en-US; rv:1.9.2.6) Gecko/20100625 Firefox/3.6.6
Build Identifier: Mozilla/5.0 (Windows; U; Windows NT 6.1; en-US; rv:1.9.2.6) Gecko/20100625 Firefox/3.6.6

With gray text on a white background, some values of CSS opacity result in yellow tinting of the text.  See the example URL.  I will attach screenshots below.

Disabling ClearType causes text to appear correctly.  I tried in Safe Mode and the tinting still appears there.  The problem does not occur in Firefox 2.0 or Chrome 5.0.


Reproducible: Always

Steps to Reproduce:
1. View the testcase

Actual Results:  
Text appears yellow tinted on the indicated lines

Expected Results:  
All text should look gray

OS: Windows 7 Professional
Processor: Intel Core 2 Duo T8100 2.10GHz
Video: NVIDIA GeForce 8600M GS, Driver v8.17.11.9562
Comment 1 James Abbatiello 2010-07-07 20:25:10 PDT
Created attachment 456384 [details]
Testcase
Comment 2 James Abbatiello 2010-07-07 20:25:49 PDT
Created attachment 456385 [details]
Screenshot from Firefox 3.6.6
Comment 3 James Abbatiello 2010-07-07 20:26:45 PDT
Created attachment 456386 [details]
Screenshot from Firefox 2.0.0.20
Comment 4 James Abbatiello 2010-07-07 20:27:21 PDT
Created attachment 456387 [details]
Screenshot from Chrome 5.0.375.99
Comment 5 James Abbatiello 2010-07-07 20:35:07 PDT
Created attachment 456388 [details]
Screenshot from Firefox 4.0b1

Confirming that this happens on Firefox 4.0b1 as well.
Mozilla/5.0 (Windows; U; Windows NT 6.1; WOW64; en-US; rv:2.0b1) Gecko/20100630 Firefox/4.0b1
Comment 6 John Daggett (:jtd) 2010-07-13 20:16:13 PDT
James, I don't see the yellow fringing you're seeing.  I suspect the underlying problem may be related to bug 363861.  Could you attach a screenshot of the testcase noted in comment 64 on that bug as it displays on your machine?

https://bugzilla.mozilla.org/show_bug.cgi?id=363861#c64
Comment 7 James Abbatiello 2010-07-13 20:37:54 PDT
Created attachment 457236 [details]
Screenshot of opacity test from 363861#c64

As requested
Comment 8 John Daggett (:jtd) 2010-07-13 21:33:14 PDT
Created attachment 457249 [details]
closeup of opacity test screenshot

Closeup of some values, each shows the result of rendering with a color and that *same* color + opacity = 0.99.  Note how the fringe colors are radically different.

Wow, I can't believe how wrong that is, I don't see anything this wrong under either XP or Win7.
Comment 9 John Daggett (:jtd) 2010-07-28 17:53:16 PDT
James, could you try running with a test build that I put together for the Cleartype opacity bug?  The link is described in bug 363861, comment 76.  It would interesting to see what results you get when displaying the opacity pinwheel test case, bug 363861, comment 64.
Comment 10 James Abbatiello 2010-07-28 19:19:07 PDT
Created attachment 461111 [details]
Screenshot of opacity test under test build

Looking much better!
Comment 11 Bas Schouten (:bas.schouten) 2011-10-07 16:28:53 PDT
This was fixed by bug 363961.

Note You need to log in before you can comment on or make changes to this bug.